Open SCAP Library

Public Member Functions | Data Fields
xccdf_check_content_ref Struct Reference
XCCDF

XCCDF check content reference. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
struct xccdf_check_content_ref * | xccdf_check_content_ref_clone (const struct xccdf_check_content_ref *old_ref)
struct xccdf_check_content_ref * | xccdf_check_content_ref_new (void)
void | xccdf_check_content_ref_free (struct xccdf_check_content_ref *ref)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | xccdf_check_content_ref_get_href (const struct xccdf_check_content_ref *ref)
const char * | xccdf_check_content_ref_get_name (const struct xccdf_check_content_ref *ref)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | xccdf_check_content_ref_set_name (struct xccdf_check_content_ref *obj, const char *newval)
bool | xccdf_check_content_ref_set_href (struct xccdf_check_content_ref *obj, const char *newval)

## Data Fields
char * | href
char * | name

## Detailed Description

XCCDF check content reference.

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h